libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glom::predicate_FieldHasName< T_Element > Class Template Reference

A predicate for use with std::find_if() to find a Field or LayoutItem which refers to the same field, looking at just the name. More...

## Public Member Functions

| predicate_FieldHasName (const Glib::ustring& strName)
virtual | ~predicate_FieldHasName ()
bool | operator() (const T_Element& element)
bool | operator() (const sharedptr< T_Element >& element)
bool | operator() (const sharedptr< const T_Element >& element)

## Detailed Description

### template<class T_Element>
class Glom::predicate_FieldHasName< T_Element >

A predicate for use with std::find_if() to find a Field or LayoutItem which refers to the same field, looking at just the name.

## Constructor & Destructor Documentation

template <class T_Element >

Glom::predicate_FieldHasName< T_Element >::predicate_FieldHasName | ( | const Glib::ustring & | strName | ) |

inline

template <class T_Element >

virtual Glom::predicate_FieldHasName< T_Element >::~predicate_FieldHasName | ( |  | ) |

inline virtual

## Member Function Documentation

template <class T_Element >

bool Glom::predicate_FieldHasName< T_Element >::operator() | ( | const T_Element & | element | ) |

inline

template <class T_Element >

bool Glom::predicate_FieldHasName< T_Element >::operator() | ( | const sharedptr< T_Element >& | element | ) |

inline

template <class T_Element >

bool Glom::predicate_FieldHasName< T_Element >::operator() | ( | const sharedptr< const T_Element >& | element | ) |

inline

The documentation for this class was generated from the following file:

- libglom/data_structure/field.h